Subject: draft-ietf-fax-tiff-regbis-03 and draft-ietf-fax-tiff-fx-reg-00 error

From: "McIntyre, Lloyd" <[email-masked]>
Date: Fri, 16 Nov 2001 18:01:03 -0800

Both the draft-ietf-fax-tiff-regbis-03 and draft-ietf-fax-tiff-fx-reg-00
drafts contain a small error, which unfortunately could result in lack of
TIFF/TIFF-FX interoperability.

TIFF 6.0 specifies the Magic Number of the TIFF header to be decimal 42
(i.e. 2A hex), with little-endian or big-endian representation. 
   II (little-endian):  49 49 42 00 
                        |___| |___|
                         hex decimal

   MM (big-endian):     4D 4D 00 42
                        |___| |___|
                         hex  decimal

Due to an error rooted in RFC 2302, section 7 "IANA Registration" of both
draft-ietf-fax-tiff-regbis-03 and draft-ietf-fax-tiff-fx-reg-00 record the
Magic Number to be hex 42 rather than decimal 42. 
   II (little-endian):  49 49 42 00 hex
   MM (big-endian):     4D 4D 00 42 hex

This error may be corrected by one of two options:
1. record the entire Magic Number string in hex as
   II (little-endian):  49 49 2A 00 hex
   MM (big-endian):     4D 4D 00 2A hex

2. record the Magic Number string with a combination of hex and decimal as
   II (little-endian):  49 49 42 00 
                        |___| |___|
                         hex decimal

   MM (big-endian):     4D 4D 00 42
                        |___| |___|
                         hex  decimal

If there are no objections I will revise the draft-ietf-fax-tiff-fx-reg-00
draft so the Magic Number is consistent with option 1, as 
   II (little-endian):  49 49 2A 00 hex
   MM (big-endian):     4D 4D 00 2A hex

I assume that the draft-ietf-fax-tiff-regbis-03 authors will do likewise.

Lloyd